org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MapTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapTest

- Direct Known Subclasses:
    MapTest.Traversals

      public abstract class MapTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_mapXselectXaXX()` TINKERPOP-782
    `void` | `g_VX1X_mapXnameX()`
    `void` | `g_VX1X_out_mapXnameX_mapXlengthX()`
    `void` | `g_VX1X_outE_label_mapXlengthX()`
    `void` | `g_withPath_V_asXaX_out_mapXa_nameX()`
    `void` | `g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_mapXselectXaXX()`
    `abstract Traversal<Vertex,String>` | `get_g_VX1X_mapXnameX(Object v1Id)`
    `abstract Traversal<Vertex,Integer>` | `get_g_VX1X_out_mapXnameX_mapXlengthX(Object v1Id)`
    `abstract Traversal<Vertex,Integer>` | `get_g_VX1X_outE_label_mapXlengthX(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_withPath_V_asXaX_out_mapXa_nameX()`
    `abstract Traversal<Vertex,String>` | `get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapTest

          public MapTest()

  - ### Method Detail

    - #### get_g_VX1X_mapXnameX

          public abstract Traversal<Vertex,String> get_g_VX1X_mapXnameX(Object v1Id)

    - #### get_g_VX1X_outE_label_mapXlengthX

          public abstract Traversal<Vertex,Integer> get_g_VX1X_outE_label_mapXlengthX(Object v1Id)

    - #### get_g_VX1X_out_mapXnameX_mapXlengthX

          public abstract Traversal<Vertex,Integer> get_g_VX1X_out_mapXnameX_mapXlengthX(Object v1Id)

    - #### get_g_withPath_V_asXaX_out_mapXa_nameX

          public abstract Traversal<Vertex,String> get_g_withPath_V_asXaX_out_mapXa_nameX()

    - #### get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX

          public abstract Traversal<Vertex,String> get_g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()

    - #### get_g_V_mapXselectXaXX

          public abstract Traversal<Vertex,Vertex> get_g_V_mapXselectXaXX()

    - #### g_VX1X_mapXnameX

          public void g_VX1X_mapXnameX()

    - #### g_VX1X_outE_label_mapXlengthX

          public void g_VX1X_outE_label_mapXlengthX()

    - #### g_VX1X_out_mapXnameX_mapXlengthX

          public void g_VX1X_out_mapXnameX_mapXlengthX()

    - #### g_withPath_V_asXaX_out_mapXa_nameX

          public void g_withPath_V_asXaX_out_mapXa_nameX()

    - #### g_withPath_V_asXaX_out_out_mapXa_name_it_nameX

          public void g_withPath_V_asXaX_out_out_mapXa_name_it_nameX()

    - #### g_V_mapXselectXaXX

          public void g_V_mapXselectXaXX()

      TINKERPOP-782

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.